lv.lumii.tda.raapi

## Interface IRepository

- All Superinterfaces:
    IRepositoryManagement, RAAPI

      public interface IRepository
      extends IRepositoryManagement, RAAPI

  The `IRepository` interface is a union of `RAAPI` containing operations on model elements and `IRepositoryManagement` containing technical operations on repositories such as operations for opening, closing, saving, etc.

- - ### Method Summary

    - ### Methods inherited from interface lv.lumii.tda.raapi.IRepositoryManagement

      `cancelSave, close, drop, exists, finishSave, open, startSave`

    - ### Methods inherited from interface lv.lumii.tda.raapi.RAAPI

      `callSpecificOperation, createAdvancedAssociation, createAssociation, createAttribute, createClass, createDirectedAssociation, createGeneralization, createLink, createObject, createOrderedLink, deleteAssociation, deleteAttribute, deleteAttributeValue, deleteClass, deleteGeneralization, deleteLink, deleteObject, deserializeReference, excludeObjectFromClass, findAssociationEnd, findAttribute, findClass, findPrimitiveDataType, freeIterator, freeReference, getAttributeDomain, getAttributeName, getAttributeType, getAttributeValue, getClassName, getInverseAssociationEnd, getIteratorForAllAttributes, getIteratorForAllClassObjects, getIteratorForAllIngoingAssociationEnds, getIteratorForAllLinguisticInstances, getIteratorForAllOutgoingAssociationEnds, getIteratorForClasses, getIteratorForDirectAttributes, getIteratorForDirectClassObjects, getIteratorForDirectIngoingAssociationEnds, getIteratorForDirectLinguisticInstances, getIteratorForDirectObjectClasses, getIteratorForDirectOutgoingAssociationEnds, getIteratorForDirectSubClasses, getIteratorForDirectSuperClasses, getIteratorForLinguisticClasses, getIteratorForLinkedObjects, getIteratorForObjectsByAttributeValue, getIteratorLength, getLinguisticClassFor, getLinkedObjectPosition, getPrimitiveDataTypeName, getRoleName, getSourceClass, getTargetClass, includeObjectInClass, isAdvancedAssociation, isAssociationEnd, isAttribute, isClass, isComposition, isDerivedClass, isDirectSubClass, isKindOf, isLinguistic, isPrimitiveDataType, isTypeOf, linkExists, moveObject, resolveIterator, resolveIteratorFirst, resolveIteratorNext, serializeReference, setAttributeValue`